From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-input-synaptics/
Date: Mon, 11 Jul 2022 04:58:11 +0000 (UTC) [thread overview]
Message-ID: <1657515474.77f75a678af220426bfdb8b8bdd7c2fe0656aa3a.mattst88@gentoo> (raw)
commit: 77f75a678af220426bfdb8b8bdd7c2fe0656aa3a
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 11 04:38:26 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Jul 11 04:57:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77f75a67
x11-drivers/xf86-input-synaptics: Version bump to 1.9.2
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
x11-drivers/xf86-input-synaptics/Manifest | 1 +
.../xf86-input-synaptics-1.9.2.ebuild | 45 ++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/x11-drivers/xf86-input-synaptics/Manifest b/x11-drivers/xf86-input-synaptics/Manifest
index b641d390de6c..5c91759e59f0 100644
--- a/x11-drivers/xf86-input-synaptics/Manifest
+++ b/x11-drivers/xf86-input-synaptics/Manifest
@@ -1 +1,2 @@
DIST xf86-input-synaptics-1.9.1.tar.bz2 503722 BLAKE2B 5ff2f792d187ff0f3fabb1ee194f4eae1397d993627ef3a74b1c838cd611fc2834c6453b57d0dc27d7a6e0bc69b717eb1cb76c87833dd1c66b1af5ac824e1d55 SHA512 978eddd456aa7361047bc3d72e5127b24b13de29b0dddb6a0acc9f9da93931baa2b22fb5d1e6be164f629a11e5d97d753b835426435396b45b1af5eb8d546c3f
+DIST xf86-input-synaptics-1.9.2.tar.xz 432380 BLAKE2B 7ba94565f454fff8ddaf33695a7a16526810bf2677ef01e9ae740fd00a95810b4d42fb0077fe93120ac72398ca18ade48c7b389ecbc37f2438beaa97a6a21db5 SHA512 6fd46505f22bba79f612fbd48dddd4818f7d874cc29caac71840744de27f1d224c68861e3a18d2a866b78178924d2f093f5260e27b221aa1fb17dbc09d66b649
diff --git a/x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.9.2.ebuild b/x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.9.2.ebuild
new file mode 100644
index 000000000000..780964e36af6
--- /dev/null
+++ b/x11-drivers/xf86-input-synaptics/xf86-input-synaptics-1.9.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+XORG_TARBALL_SUFFIX="xz"
+inherit linux-info xorg-3
+
+DESCRIPTION="Driver for Synaptics touchpads"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ >=x11-base/xorg-server-1.14
+ x11-libs/libX11
+ >=x11-libs/libXi-1.2
+ >=x11-libs/libXtst-1.1.0
+ kernel_linux? ( >=dev-libs/libevdev-0.4 )"
+DEPEND="
+ ${RDEPEND}
+ >=sys-kernel/linux-headers-2.6.37
+ x11-base/xorg-proto"
+
+check_reqs() {
+ linux-info_pkg_setup
+
+ # Just a friendly warning
+ if ! linux_config_exists \
+ || ! linux_chkconfig_present INPUT_EVDEV; then
+ ewarn
+ ewarn "This driver requires event interface support in your kernel"
+ ewarn " Device Drivers --->"
+ ewarn " Input device support --->"
+ ewarn " <*> Event interface"
+ ewarn
+ fi
+}
+
+pkg_pretend() {
+ check_reqs
+}
+
+pkg_setup() {
+ check_reqs
+}
next reply other threads:[~2022-07-11 4:58 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-11 4:58 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-26 20:34 [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-input-synaptics/ Matt Turner
2025-02-10 21:25 Sam James
2025-02-10 20:10 Arthur Zamarin
2025-02-10 20:10 Arthur Zamarin
2025-02-10 19:01 Arthur Zamarin
2025-02-10 19:01 Arthur Zamarin
2025-02-10 19:01 Arthur Zamarin
2025-01-06 4:08 Matt Turner
2022-08-17 16:11 Arthur Zamarin
2022-08-15 19:39 Arthur Zamarin
2022-08-15 18:03 Arthur Zamarin
2022-07-26 15:24 Agostino Sarubbo
2022-07-26 15:15 Agostino Sarubbo
2022-05-26 4:45 WANG Xuerui
2022-01-04 10:30 David Seifert
2021-03-14 19:57 David Seifert
2021-03-14 19:57 David Seifert
2019-12-01 17:43 Matt Turner
2019-05-28 2:35 Aaron Bauman
2019-03-02 23:28 Andreas Sturmlechner
2018-05-29 3:53 Matt Turner
2018-02-11 11:36 Michał Górny
2017-03-08 7:44 Michael Weber
2017-01-25 12:28 Agostino Sarubbo
2016-11-22 16:19 Lars Wendler
2016-11-17 10:48 Agostino Sarubbo
2016-09-17 11:14 Pacho Ramos
2016-09-17 10:49 Pacho Ramos
2016-08-05 23:31 Markus Meier
2015-12-19 21:38 Markus Meier
2015-11-01 22:22 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1657515474.77f75a678af220426bfdb8b8bdd7c2fe0656aa3a.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox